import request from '@/utils/request'

// 查询文章分类列表
export function listArticleCate(query) {
  return request({
    url: '/his/articleCate/list',
    method: 'get',
    params: query
  })
}
// 查询文章分类列表
export function getAllArticleCateList(query) {
  return request({
    url: '/his/articleCate/allList',
    method: 'get',
    params: query
  })
}


// 查询文章分类详细
export function getArticleCate(cateId) {
  return request({
    url: '/his/articleCate/' + cateId,
    method: 'get'
  })
}

// 新增文章分类
export function addArticleCate(data) {
  return request({
    url: '/his/articleCate',
    method: 'post',
    data: data
  })
}

// 修改文章分类
export function updateArticleCate(data) {
  return request({
    url: '/his/articleCate',
    method: 'put',
    data: data
  })
}

// 删除文章分类
export function delArticleCate(cateId) {
  return request({
    url: '/his/articleCate/' + cateId,
    method: 'delete'
  })
}

// 导出文章分类
export function exportArticleCate(query) {
  return request({
    url: '/his/articleCate/export',
    method: 'get',
    params: query
  })
}
